Bug 238374 - [NEW PORT] lang/go-devel: Go programming language (development version)
Summary: [NEW PORT] lang/go-devel: Go programming language (development version)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://golang.org/
Keywords:
Depends on:
Blocks: 238437
  Show dependency treegraph
 
Reported: 2019-06-06 18:46 UTC by Dmitri Goutnik
Modified: 2019-06-23 11:40 UTC (History)
1 user (show)

See Also:


Attachments
patch file (3.97 KB, patch)
2019-06-06 18:46 UTC, Dmitri Goutnik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-06-06 18:46:23 UTC
Created attachment 204866 [details]
patch file

Add lang/go-devel port, tracking Go master branch.

This port is intended to be used primarily by port maintainers for testing with future Go versions.

QA:
  poudriere testport: OK (112a, 120a, 120i)
  portlint -ACN: OK
Comment 1 Dmitri Goutnik freebsd_committer 2019-06-09 14:53:52 UTC
Corresponding DEFAULT_VERSIONS support: https://reviews.freebsd.org/D20570
Comment 2 Tobias Kortkamp freebsd_committer 2019-06-23 10:22:52 UTC
Do you want to update this to the latest master before I commit?
Comment 3 Tobias Kortkamp freebsd_committer 2019-06-23 11:36:07 UTC
(In reply to Tobias Kortkamp from comment #2)
> Do you want to update this to the latest master before I commit?

Actually this is silly.  Let me just commit it now and you can submit an update
later if needed.
Comment 4 commit-hook freebsd_committer 2019-06-23 11:39:34 UTC
A commit references this bug:

Author: tobik
Date: Sun Jun 23 11:38:46 UTC 2019
New revision: 504941
URL: https://svnweb.freebsd.org/changeset/ports/504941

Log:
  New port: lang/go-devel

  A development snapshot of lang/go.  This port is intended to be
  used by port maintainers for testing with future Go versions.

  PR:		238374
  Submitted by:	dg@syrec.org

Changes:
  head/lang/Makefile
  head/lang/go/Makefile
  head/lang/go/pkg-descr
  head/lang/go-devel/
  head/lang/go-devel/Makefile
  head/lang/go-devel/distinfo
  head/lang/go-devel/pkg-descr
  head/lang/go-devel/pkg-plist
Comment 5 Tobias Kortkamp freebsd_committer 2019-06-23 11:40:00 UTC
Committed, thanks!